import network
import time

# Initialize Wi-Fi in station mode
wlan = network.WLAN(network.STA_IF)
wlan.active(True)

# Scan for available Wi-Fi networks
print("Scanning for Wi-Fi networks...")
networks = wlan.scan()

# Print the SSIDs of the detected networks
print("Available Wi-Fi networks:")
for network in networks:
    ssid = network[0].decode('utf-8')
    print(ssid)

# Deactivate Wi-Fi after scanning
wlan.active(False)